Support NATA 2014

Browse Sections


Newgrounds Wiki: Installing the API Package

About API Packages

Before you can use any of the API Tools, you will need to install the appropriate API package.

Each package is written for a specific authoring environment, so you will need to read the name, description and Actionscript version from the list of downloads to ensure you get the correct package.

If you are unsure of wich package to get, you will find a suggested package for your Actionscript version from the "API Dashboard" of your API entry.
  1. Double click the .mxp file, and Extension Manager should open. (If you do not have Extension Manager for some reason, you can get it here).
  2. Follow the on-screen instructions to complete the installation.
  3. Restart Flash

To verify the API was installed, open the components panel (CTRL+F7) and look for the "NewgroundsAPI" group. If you do NOT see this group, make sure you downloaded the correct package for your Actionscript version.

Flex, FlashDevelop, FDT, mxmlc, etc...

Advanced users can link directly to NewgroundsAPI.swc by copying it into the lib folder of your project.

In FlashDevelop, right click NewgroundsAPI.swc and select "Add to Library".